Package wx :: Class ConfigPathChanger

[frames | no frames]

## Type ConfigPathChanger

    object --+
             |
            ConfigPathChanger

A handy little class which changes current path to the path of given entry and restores it in the destructoir: so if you declare a local variable of this type, you work in the entry directory and the path is automatically restored when the function returns.

Method Summary
ConfigPathChanger | `__init__(self, config, entry)`
| `__del__(self)`
String | ``Name`(self)` Get the key name

Property Summary
| `thisown`: The membership flag

Method Details

### Name(self)

Get the key name

  Returns:
    String

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:19 2007 | http://epydoc.sf.net